Skip to main content

Libraries

Getting Started

1

Get an API key

Sign up at the Dedalus Dashboard and create an API key.
2

Install an SDK

Pick a language from the Install tabs above.
3

Make your first call

Send a chat completion request using any supported model.
import DedalusLabs from "dedalus-labs";

const client = new DedalusLabs();
const completion = await client.chat.completions.create({
  model: "openai/gpt-4o",
  messages: [{ role: "user", content: "Hello!" }],
});
from dedalus_labs import DedalusLabs

client = DedalusLabs()
completion = client.chat.completions.create(
    model="openai/gpt-4o",
    messages=[{"role": "user", "content": "Hello!"}],
)
curl -X POST https://api.dedaluslabs.ai/v1/chat/completions \
  -H "Authorization: Bearer $DEDALUS_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "openai/gpt-4o", "messages": [{"role": "user", "content": "Hello!"}]}'

Authentication

All endpoints require a Bearer token or X-API-Key header. Get your key from the Dedalus Dashboard.
Authorization: Bearer YOUR_API_KEY

Chat & Embeddings

MethodPathDescription
POST/v1/chat/completionsCreate chat completion
POST/v1/embeddingsCreate embeddings

Audio

MethodPathDescription
POST/v1/audio/speechCreate speech
POST/v1/audio/transcriptionsCreate transcription
POST/v1/audio/translationsCreate translation

Images & Documents

MethodPathDescription
POST/v1/images/generationsCreate image
POST/v1/ocrOCR

Models

MethodPathDescription
GET/v1/modelsList models
Last modified on June 30, 2026